import { FormGroup, FormControl, FormArray } from '@angular/forms';

export class ValidationHelper {
  public validateAllFormFields(formGroup: FormGroup) {
    Object.keys(formGroup.controls).forEach(field => {
      const control = formGroup.get(field);
      if (control instanceof FormControl) {
        control.markAsTouched({ onlySelf: true });
      } else if (control instanceof FormGroup) {
        this.validateAllFormFields(control);
      } else if (control instanceof FormArray) {
        control.controls.forEach(element => {
          if (element instanceof FormGroup) {
            this.validateAllFormFields(element);
          }
        });
      }
    });
  }
}
