import { FormGroup, FormBuilder, Validators } from '@angular/forms';
import { iAddressService } from './iAddressService';
import { Injectable } from '@angular/core';

@Injectable()
export class AddressService implements iAddressService {
  public getAddressFormGroup(_fb: FormBuilder): FormGroup {
    return _fb.group({
      address1: ['', Validators.required],
      address2: [''],
      city: ['', Validators.required],
      county: [''],
      country: ['', Validators.required],
      postcode: ['', Validators.required],
      telephone: ['', Validators.required],
      emailAddress: ['', Validators.required],
      isHeadOffice: [false]
    });
  }
}
