import { Injectable } from '@angular/core';
import { IBusinessService } from '@app/shared/services/business/iBusinessService';
import { AngularFirestore, AngularFirestoreCollection, AngularFirestoreDocument } from '@angular/fire/firestore';
import { businessModel } from './../../models/business/businessModel';
import { Observable } from 'rxjs';
import { map } from 'rxjs/operators';
import { FirebaseApp } from 'angularfire2';

@Injectable()
export class BusinessService implements IBusinessService {
  businessCollection: AngularFirestoreCollection<businessModel>;

  constructor(private db: AngularFirestore) {
    this.businessCollection = db.collection('business');
  }

  getAllBusinesses(): Observable<businessModel[]> {
    return this.businessCollection.snapshotChanges().pipe(
      map((changes: any) => {
        return changes.map((action: any) => {
          const data = action.payload.doc.data() as businessModel;
          data.id = action.payload.doc.id;
          return data;
        });
      })
    );
  }

  saveBusiness(business: businessModel): Promise<firebase.firestore.DocumentReference> {
    return this.businessCollection.add(business);
  }
}
