import { Title } from '@angular/platform-browser';
import { ToastrService } from 'ngx-toastr';
import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class NotificationService {
  constructor(private toastr: ToastrService) {}

  showSuccess(message: string, title: string) {
    this.toastr.success(message, title, {
      closeButton: true,
      timeOut: 5000
    });
  }

  showError(message: string, title: string) {
    this.toastr.error(message, title, {
      closeButton: true,
      timeOut: 5000
    });
  }

  showWarning(message: string, title: string) {
    this.toastr.warning(message, title, {
      closeButton: true,
      timeOut: 5000
    });
  }

  showInformation(message: string, title: string) {
    this.toastr.info(message, title, {
      closeButton: true,
      timeOut: 5000
    });
  }
}
